#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 28. Icons

- Prev

  adwaita-icon-theme-50.0

- Next

  gnome-icon-theme-3.12.0

- Up
- Home

# breeze-icons-6.23.0

## Introduction to Breeze Icons

The Breeze Icons package contains the default icons for KDE Plasma applications, but it can be used for other window environments.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/6.23/breeze-icons-6.23.0.tar.xz

- Download MD5 sum: c8e3ceb2a349683510aeee1b5bccf521

- Download size: 2.0 MB

- Estimated disk space required: 141 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### Breeze Icons Dependencies

#### Required

Extra-CMake-Modules-6.23.0 and Qt-6.11.0

#### Optional

KDE Frameworks-6.23.0, libxml2-2.15.3, and lxml-6.1.0

## Installation of Breeze Icons

Install Breeze Icons by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D BUILD_TESTING=OFF         \
          -D WITH_ICON_GENERATION=OFF  \
          -W no-dev ..                 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-D BUILD_TESTING=OFF`: This parameter disables building the testing framework, which requires some modules from KDE Frameworks-6.23.0.

`-D WITH_ICON_GENERATION=OFF`: This parameter disables generation of 24x24 dark icons, which requires the lxml-6.1.0 python module. This parameter can be removed if lxml-6.1.0 is installed.

## Contents

Installed Programs: None
Installed Library: libKF6BreezeIcons.so
Installed Directory: /usr/include/KF6/BreezeIcons, /usr/lib/cmake/KF6BreezeIcons, and /usr/share/icons/breeze{,-dark}

- Prev

  adwaita-icon-theme-50.0

- Next

  gnome-icon-theme-3.12.0

- Up
- Home